SolrQuery::addField
SolrQuery::addHighlightField
SolrQuery
PHP Manual

# SolrQuery::addFilterQuery

(PECL solr >= 0.9.2)

SolrQuery::addFilterQuery — Specifies a filter query

### Description

public SolrQuery SolrQuery::addFilterQuery ( string `$fq` )

Specifies a filter query

### Parameters

`fq`

  The filter query

### Return Values

Returns the current SolrQuery object.

### Examples

Example #1 SolrQuery::addFilterQuery() example

`<?php
$options = array
(
'hostname' => SOLR_SERVER_HOSTNAME,
'login' => SOLR_SERVER_USERNAME,
'password' => SOLR_SERVER_PASSWORD,
'port' => SOLR_SERVER_PORT,
);
$client = new SolrClient($options);
$query = new SolrQuery();
$query->setQuery($query);
$query->addFilterQuery('color:blue,green');
$query_response = $client->query($query);
$response = $query_response->getResponse();
print_r($response['facet_counts']['facet_fields']);
?>`

The above example will output something similar to:

     &fq=color:blue,green

SolrQuery::addField
SolrQuery::addHighlightField
SolrQuery
PHP Manual